package com.ruoyi.project.training.bccnew.service;

import java.util.List;

import com.ruoyi.framework.web.domain.AjaxResult;
import com.ruoyi.project.approve.damain.DevTask;
import com.ruoyi.project.training.bccnew.domain.TTsApprove;

/**
 * 导师带徒审批Service接口
 * 
 * @author ssy
 * @date 2024-06-25
 */
public interface ITTsApproveService 
{
    /**
     * 查询导师带徒审批
     * 
     * @param id 导师带徒审批ID
     * @return 导师带徒审批
     */
    public TTsApprove selectTTsApproveById(Long id);
    public List<TTsApprove> selectTTsApproveByNewId(Long newId);
    public List<TTsApprove> selectTTsApproveByContentId(Long newId);

    public AjaxResult doApprove(Long id, String planType, Long userId, String userName,String processName);

    public AjaxResult handle(DevTask devTask, String username, String userId);

    /**
     * 查询导师带徒审批列表
     * 
     * @param tTsApprove 导师带徒审批
     * @return 导师带徒审批集合
     */
    public List<TTsApprove> selectTTsApproveList(TTsApprove tTsApprove);

    /**
     * 新增导师带徒审批
     * 
     * @param tTsApprove 导师带徒审批
     * @return 结果
     */
    public int insertTTsApprove(TTsApprove tTsApprove);

    /**
     * 修改导师带徒审批
     * 
     * @param tTsApprove 导师带徒审批
     * @return 结果
     */
    public int updateTTsApprove(TTsApprove tTsApprove);

    /**
     * 批量删除导师带徒审批
     * 
     * @param ids 需要删除的导师带徒审批ID
     * @return 结果
     */
    public int deleteTTsApproveByIds(Long[] ids);

    /**
     * 删除导师带徒审批信息
     * 
     * @param id 导师带徒审批ID
     * @return 结果
     */
    public int deleteTTsApproveById(Long id);
}
